For Developers

Delete Service Account

DELETE https://ed.link/api/v2/teams/:team_id/service_accounts/:service_account_id

Immediately revokes all API tokens associated with the service account and deletes the record.

Permissions

Requires the tokens.delete system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:service_account_idUUIDYesThe ID of the service account to delete.

Sample Request

const response = await axios.delete(`https://ed.link/api/v2/teams/${team_id}/service_accounts/${service_account_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{ "$request": "00000000-0000-0000-0000-000000000000" }